aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorMarvin W <git@larma.de>2017-03-30 21:26:17 +0200
committerMarvin W <git@larma.de>2017-03-30 22:38:51 +0200
commit3733d24a9066bdd3e038d642a62cf642abd0b0bf (patch)
treecd62d02094108e2449b68d3da3aa65c03c3f5883 /configure
parente910b39751a90f977110190b12cdb738f6a1d132 (diff)
downloaddino-3733d24a9066bdd3e038d642a62cf642abd0b0bf.tar.gz
dino-3733d24a9066bdd3e038d642a62cf642abd0b0bf.zip
Fix -Werror=format-security issues
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure8
1 files changed, 6 insertions, 2 deletions
diff --git a/configure b/configure
index 95d161eb..22673bc4 100755
--- a/configure
+++ b/configure
@@ -151,13 +151,17 @@ else
exit 5
fi
res=$(git clone "$url" "$path" 2>&1)
- if ! [ $? -eq 0 ] || ! [ -x $git ]; then
+ if ! [ $? -eq 0 ] || ! [ -d $path ]; then
echo "Failed retrieving missing files: $res"
exit 5
fi
if [[ "$branch" != "" ]]; then
pushd "$path" > /dev/null
- git checkout "$branch" 2>/dev/null
+ res=$(git checkout "$branch" 2>&1)
+ if ! [ $? -eq 0 ]; then
+ echo "Failed retrieving missing files: $res"
+ exit 5
+ fi
popd > /dev/null
fi
echo "Submodule path '$path': checked out '$branch' (via git clone)"